/* src/FancyButton.css */
.fancy-button {
    padding: 10px 20px;
    font-size: 16px;
    color: #fff;
    background: linear-gradient(45deg, #007BFF, #fff);
    border: none;
    border-radius: 5px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: box-shadow 0.3s, transform 0.3s;
    display: inline-block;
    text-align: center;

    /* Create an animation for the background color change */
    animation: gradient-shift 3s ease-in-out infinite;
    background-size: 400% 400%;

    /* Adding a hover effect */
    &:hover {
        box-shadow: 0 6px 12px rgba(0, 0, 0, 0.2);
        cursor: pointer;
        transform: scale(1.05);
    }

    @keyframes gradient-shift {
        0% {
            background-position: 0% 50%;
        }
        50% {
            background-position: 100% 50%;
        }
        100% {
            background-position: 0% 50%;
        }
    }
}

.search-field {
    display: flex;
    justify-content: center;
    align-items: baseline;
    gap: 5px;
    flex-grow: 1;
    width: 70%;
    max-width: 700px;
    margin: auto;
}

.search-input {
    height: 35px;
   flex-grow: 2;
}

.loading-spinner {
    margin-top: 40px;
}
.search-table {
    display: flex;
    justify-content: center;
    margin-top: 30px;
    margin-bottom: 50px;
    width: 70%;
    max-width: 700px;
    margin-left: auto;
    margin-right: auto;
}